Clutter::Action Class Reference
Inheritance diagram for Clutter::Action:
[legend]
Collaboration diagram for Clutter::Action:
[legend]

List of all members.

## Public Member Functions

virtual | ~Action ()
ClutterAction* | gobj ()
| Provides access to the underlying C GObject.
const ClutterAction* | gobj () const
| Provides access to the underlying C GObject.
ClutterAction* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Protected Member Functions

| Action ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Clutter::Action > | wrap (ClutterAction* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::Action::~Action | ( |  | ) | `[virtual]`

Clutter::Action::Action | ( |  | ) | `[protected]`

## Member Function Documentation

ClutterAction* Clutter::Action::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::ActorMeta.

const ClutterAction* Clutter::Action::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::ActorMeta.

ClutterAction* Clutter::Action::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Clutter::ActorMeta.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::Action > wrap | ( | ClutterAction * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/action.h